Loading...
Searching...
No Matches
Catch::Generators::IGenerator< T > Class Template Referenceabstract

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Generators::IGenerator< T >:
[legend]
Collaboration diagram for Catch::Generators::IGenerator< T >:
[legend]

## Public Types

using | type = T

## Public Member Functions

virtual T const & | get () const =0
Public Member Functions inherited from Catch::Generators::GeneratorUntypedBase
| GeneratorUntypedBase ()=default
| GeneratorUntypedBase (GeneratorUntypedBase const &)=default
GeneratorUntypedBase & | operator= (GeneratorUntypedBase const &)=default
virtual | ~GeneratorUntypedBase ()
bool | countedNext ()
std::size_t | currentElementIndex () const
StringRef | currentElementAsString () const

## Private Member Functions

std::string | stringifyImpl () const override
| Customization point for `currentElementAsString`

## Member Typedef Documentation

## type

template<typename T>

using Catch::Generators::IGenerator< T >::type = T

## Member Function Documentation

## get()

template<typename T>

virtual T const & Catch::Generators::IGenerator< T >::get | ( |  | ) | const

pure virtual

Implemented in Catch::Generators::ChunkGenerator< T >, Catch::Generators::FilterGenerator< T, Predicate >, Catch::Generators::FixedValuesGenerator< T >, Catch::Generators::Generators< T >, Catch::Generators::MapGenerator< T, U, Func >, Catch::Generators::RepeatGenerator< T >, Catch::Generators::SingleValueGenerator< T >, and Catch::Generators::TakeGenerator< T >.

Here is the caller graph for this function:

## stringifyImpl()

template<typename T>

std::string Catch::Generators::IGenerator< T >::stringifyImpl | ( |  | ) | const

inlineoverrideprivatevirtual

Customization point for `currentElementAsString`

Implements Catch::Generators::GeneratorUntypedBase.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp